Skip to main content

List Work Requests By Location Id

GET 

/organizations/:organizationId/locations/:locationId/work-requests

List Work Requests By Location Id

Request​

Path Parameters

    organizationId stringrequired

    The ID of organization.

    locationId stringrequired

    The ID of location.

Query Parameters

    startDate numberrequired

    The start date number of timestamp. (Default: 1700000000000)

    endDate numberrequired

    The end date number of timestamp. (Default: 1700000000000)

    statuses string[]

    The status of work request. (Default: optional ; Options: Pending, Accept, InProgress, Done, Reject, Cancel)

    priorities string[]

    The status of work request. (Default: optional ; Options: Low, Medium, High, None)

Responses​

Schema
    data objectrequired

    Data of the work request.

    id stringrequired
    organizationId stringrequired
    assetIds stringrequired
    locationId stringrequired
    workflowId required
    subject stringrequired
    description stringrequired
    images string[]required
    isTemplate booleanrequired
    reason stringrequired
    status stringrequired
    priority stringrequired
    createdBy stringrequired
    createdAtDateString stringrequired
    createdAt numberrequired
    updatedAtDateString stringrequired
    updatedAt numberrequired
Loading...
Was this page helpful?